﻿
@{
    ViewData["Title"] = "Votre commande";
    Festivalier festConnecte = ((Festivalier) ViewData["festConnecte"]);
    Festival festivalDeFestConnecte = ((Festival) ViewData["festivalDeFestConnecte"]);
    Billet billetFestivalier = ((Billet)ViewData["billetFestivalier"]);
    //Les deux lignes en dessous permettent de mettre en forme la date (Pour le format de date, voir https://docs.microsoft.com/en-us/dotnet/standard/base-types/custom-date-and-time-format-strings?view=netcore-3.1 )
    //ainsi que de mettre la pemière lettre du jour en majuscule.
    String dateDebut = billetFestivalier.DebutFormule.ToString("dddd").Substring(0, 1).ToUpper() + billetFestivalier.DebutFormule.ToString("dddd").Substring(1) + " " + billetFestivalier.DebutFormule.ToString("d MMMM");
    String dateFin = billetFestivalier.FinFormule.ToString("dddd").Substring(0, 1).ToUpper() + billetFestivalier.FinFormule.ToString("dddd").Substring(1) + " " + billetFestivalier.FinFormule.ToString("d MMMM");
    int ageFestivalier = Int32.Parse(new DateTime(DateTime.Now.Subtract(festConnecte.DateDeNaissance).Ticks).ToString("yyyy")) - 1;
    int nbrJours = billetFestivalier.FinFormule.Subtract(billetFestivalier.DebutFormule).Days + 1;
}


<div class="card mx-auto w-50 mt-5">
    <div class="card-body">
        <h5 class="card-title">@festivalDeFestConnecte.Nom</h5>
         
        <p class="card-text">@dateDebut à @dateFin</p>
        <p class="card-text">@festivalDeFestConnecte.Lieu</p>
        <hr />
        <p>@festConnecte.Prenom @festConnecte.Nom     <span class="float-right mr-5">@ageFestivalier ans</span></p>
        <p>@festConnecte.AdresseMail</p>
        <hr />
        <p> @festivalDeFestConnecte.TarifJournee € * @nbrJours jour : <span class="float-right mr-5">@billetFestivalier.Montant €</span></p>
        <hr />
        <div class="mt-2 row">
            <div class="col-4 pt-2">
                <a asp-action="DescriptionFestival" asp-route-id="@festivalDeFestConnecte.Id" class="text-muted">revenir en arrière</a>
            </div>
            <div class="col-8">
                <form action="EnregistrementBillet" method="post">
                    <input type="hidden" name="idFestival" value="@billetFestivalier.IdFestival" />
                    <input type="hidden" name="debutFormule" value="@billetFestivalier.DebutFormule" />
                    <input type="hidden" name="finFormule" value="@billetFestivalier.FinFormule" />
                    <input type="hidden" name="montant" value="@billetFestivalier.Montant" />
                    <button type="submit" class="btn btn-primary float-right mr-2">Acheter</button>
                </form>
            </div>
        </div>
    </div>
</div>